[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[lintian] 01/01: Update override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS to fix a number of false positives. Thanks to Gregor Herrmann for the report. (Closes: #890537)



This is an automated email from the git hooks/post-receive script.

lamby pushed a commit to branch master
in repository lintian.

commit 4596dcddd6d26bc9e1e6492cf1055b67e1f06080
Author: Chris Lamb <lamby@debian.org>
Date:   Thu Feb 15 19:40:08 2018 +0000

    Update override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS to fix a number of false positives. Thanks to Gregor Herrmann for the report. (Closes: #890537)
---
 checks/rules.pm                                              |  7 ++++---
 debian/changelog                                             |  4 ++++
 .../debian/debian/rules                                      | 12 ++++++++++++
 .../debian/debian/rules                                      |  2 +-
 4 files changed, 21 insertions(+), 4 deletions(-)

diff --git a/checks/rules.pm b/checks/rules.pm
index 6144ab3..14dba97 100644
--- a/checks/rules.pm
+++ b/checks/rules.pm
@@ -444,9 +444,10 @@ sub run {
 
     if (my $line = $overridden{'dh_auto_test'}) {
         my @lines = grep {
-                  $_ !~ m/^\t\s*\:/
-              and $_ !~ m/\bdh_auto_test\b/
-              and $_ !~ m/^\t\s*[-@]?(?:cp|echo|mkdir)/
+                  $_ !~ m{^\t\s*[\:\[]}
+              and $_ !~ m{\bdh_auto_test\b}
+              and $_
+              !~ m{^\t\s*[-@]?(?:(?:/usr)?/bin/)?(?:cp|chmod|echo|ln|mv|mkdir|rm|test|true)}
         } @{$rules_per_target{'override_dh_auto_test'}};
         tag 'override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS',
           "(line $line)"
diff --git a/debian/changelog b/debian/changelog
index 6887d21..2cbe910 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -9,6 +9,10 @@ lintian (2.5.76) UNRELEASED; urgency=medium
     + [CL] Correct a grammatical error and tighten up the language of the
       "binary-package-depends-on-toolchain-package" tag's description.
       Thanks to Gregor Herrmann for the report.  (Closes: #890530)
+  * checks/rules.pm:
+    + [CL] Update override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS
+      to fix a number of false positives. Thanks to Gregor Herrmann for
+      the report.  (Closes: #890537)
 
   * debian/source/lintian-overrides:
     + [CL] Drop all the overrides for Lintian titself now that we use the
diff --git a/t/tests/rules-dh-auto-test-does-not-check-deb-build-options-unrel-c/debian/debian/rules b/t/tests/rules-dh-auto-test-does-not-check-deb-build-options-unrel-c/debian/debian/rules
index 7fa96c3..91dd51c 100755
--- a/t/tests/rules-dh-auto-test-does-not-check-deb-build-options-unrel-c/debian/debian/rules
+++ b/t/tests/rules-dh-auto-test-does-not-check-deb-build-options-unrel-c/debian/debian/rules
@@ -7,6 +7,7 @@ override_dh_auto_test:
 	dh_auto_test
 	dh_auto_test # Comment
 	mkdir ignore/
+	rm -rf ignore/
 	-dh_auto_test -- SUFFIX=1
 	@dh_auto_test -- SUFFIX=1
 	-cp -r ignore ignore/
@@ -15,3 +16,14 @@ override_dh_auto_test:
 	echo "Disabled"
 	@echo "Disabled"
 	-echo "Disabled"
+	-mv -v ignore ignore/
+	[ true ] || echo ignore
+	ENV="var" \
+	ENV="var" \
+	dh_auto_test || true
+	rm -f missing
+	test true && echo "foo"
+	rmdir missing || true
+	ln -sf foo bar
+	true
+	/bin/true
diff --git a/t/tests/rules-dh-auto-test-does-not-check-deb-build-options/debian/debian/rules b/t/tests/rules-dh-auto-test-does-not-check-deb-build-options/debian/debian/rules
index 07c493b..b46c122 100755
--- a/t/tests/rules-dh-auto-test-does-not-check-deb-build-options/debian/debian/rules
+++ b/t/tests/rules-dh-auto-test-does-not-check-deb-build-options/debian/debian/rules
@@ -4,4 +4,4 @@
 	dh $@
 
 override_dh_auto_test:
-	/bin/true
+	/bin/sync

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/lintian/lintian.git


Reply to: